Subject: Re: [SIPPING] draft-sawada-sipping-sip-offeranswer-01.txt: SDP answer in unreliable SIP response

From: Paul Kyzivat <[email-masked]>
Date: Tue, 02 Jan 2007 13:52:36 -0500

CHADLI Youssef RD-CORE-ISS wrote:
> Hi
> 
> There is a contradiction with RFC3261 regarding the handling of  SDP
> answer in unreliable provisional SIP responses:
> 
> Draft draft-sawada-sipping-sip-offeranswer-01.tx states: Session
> description in an unreliable response that precedes a reliable response
> can be considered a "preview" of the session description that will be
> coming, and hence may be treated like an offer or an answer until the
> actual one arrives. (section 2.1)
> 
> However, RFC 3261 states:  If the initial offer is in an INVITE, the
> answer MUST be in a reliable non-failure message from UAS back to UAC
> which is correlated to that INVITE. For this specification, that is only
> the final 2xx response to that INVITE. That same exact answer MAY also
> be placed in any provisional responses sent prior to the answer. The UAC
> MUST treat the first session description it receives as the answer, and
> MUST ignore any session descriptions in subsequent responses to the
> initial INVITE.(section 13.2.1)
> 
> Is there any justification for that change ?

It isn't intended as change - just a clarification. The point is that 
the actual offer or answer has not yet been sent, which is important for 
knowing when a subsequent offer or answer may be sent. But meanwhile, 
the content of the sdp is a preview of what the offer or answer will be, 
and that may be used, for instance to begin transmitting or receiving 
early media.

This is intended to pull together implications from a variety of drafts 
and RFCs, together with implications of those that have proven to be 
non-obvious.

	Paul

> Moreover, the treatment stated in RFC 3261 seems to be more logical. In
> fact, given that the SDP answer in unreliable provisional responses and
> the one in the 200 OK response must be the same, there is no reason to
> wait for the SDP in the 200 OK in case an SDP is received in an
> unreliable provisional SIP response. 
> 
> Thanks & Regards,
> Youssef
> 
>  
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP